Subject: bug#10805: 24.0.93; edebug-trace t may cause stuff being inserted into current buffer

From: Stefan Monnier <[email-masked]>
Date: Fri, 17 Feb 2012 10:12:59 -0500

> For example, in the case that the user wants to make buffer display via
> edebug behave differently from via `find-file'.

You can check whether the buffer is in `edebug-mode'.  This may require
some tweaks in edebug.el (e.g. I'm not sure whether edebug-mode is set
before or after displaying the buffer currently, and IIRC edebug-mode is
neither a proper major-mode nor a proper minor-mode so you'll probably
have to detect it in an ad-hoc way, or change edebug.el to use a proper
major/minor mode).

        Stefan